Skip to main content

Endpoint

POST /dbconnections/signup Given a user’s credentials and a connection, this endpoint creates a new user. This endpoint only works for database connections.

Remarks

  • The sample auth0.js script uses the library version 8. If you are using auth0.js version 7, please see this reference guide.

Learn More

Body Parameters

client_id
string
required
The client_id of your client.
email
string
The user’s email address.
password
string
required
The user’s desired password.
phone_number
string
The user’s phone number.
connection
string
required
The name of the database configured to your client.
username
string
The user’s username. Only valid if the connection requires a username.
given_name
string
The user’s given name(s).
family_name
string
The user’s family name(s).
name
string
The user’s full name.
nickname
string
The user’s nickname.
picture
string
A URI pointing to the user’s picture.
user_metadata
object
The user metadata to be associated with the user. If set, the field must be an object containing no more than ten properties. Property names can have a maximum of 100 characters, and property values must be strings of no more than 500 characters.

Response Schema

Response Messages